View Issue Details

IDProjectCategoryView StatusLast Update
0000038Bacula-Webfeaturepublic2013-11-19 15:05
ReporterthomasAssigned Todavide 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version5.1.0 - alpha 
Target Version5.2.10Fixed in Version5.2.10 
Summary0000038: with multiple catalogs every client is shown in Reports drop down
Descriptionyou got multiple catalogs but every client is shown on every catalog in the client report drop down.
Steps To Reproduce* configure 2 catalogs
Additional Informationseems that bacula inserts all clients into every catalog.

to distinct "real" clients in a catalog I changed the SQL select in bewb.inc.php getClients function from:

SELECT Client.ClientId, Client.Name FROM Client;

to:


SELECT Client.ClientId, Client.Name FROM Client WHERE FileRetention > 0 AND JobRetention > 0;
TagsNo tags attached.

Activities

thomas

2011-08-19 09:30

reporter  

multiple-catalogs-and-clients.patch (432 bytes)
--- bacula-web.orig/includes/bweb.inc.php	2011-07-25 22:27:10.000000000 +0200
+++ bacula-web/includes/bweb.inc.php	2011-08-19 09:29:19.000000000 +0200
@@ -372,7 +372,7 @@
 			case 'sqlite':
 			case 'mysql':
 			case 'pgsql':
-				$query 		= "SELECT Client.ClientId, Client.Name FROM Client;";
+				$query 		= "SELECT Client.ClientId, Client.Name FROM Client WHERE FileRetention > 0 AND JobRetention > 0;";
 			break;
 		}
 		try {

davide

2011-08-22 10:11

manager   ~0000052

Hello,

it seem's to be more a feature request than a bug ... not ?

What I can propose to you is to add a global option in config.php as below

 $config['hideInactiveClients'] = true of false (default is false)

Do you agree ?

Best regards

thomas

2011-08-22 10:20

reporter   ~0000055

that's why i've choosen categroy "feature" for this report. :)

to have this as an option would be nice.

IMHO clients with FileRetention 0 and JobRetention 0 don't make any sense at all, but this is more a bacula thing than bacula-web. :)

davide

2011-08-22 14:43

manager   ~0000056

Sorry, I didn't see the category .... ;)

I appreciate your commit and this functionality will be available soon (in the next version if I have time to implement it).

Best regards

davide

2012-06-17 23:28

manager   ~0000109

Fixed, will be included in the next release.

Regards

davide

2012-08-10 11:16

manager   ~0000140

This feature have been added to latest version.

Regards

davide

2013-11-19 15:05

manager   ~0000335

Issue closed

Issue History

Date Modified Username Field Change
2011-08-19 08:55 thomas New Issue
2011-08-19 09:30 thomas File Added: multiple-catalogs-and-clients.patch
2011-08-22 10:04 davide Assigned To => davide
2011-08-22 10:04 davide Status new => assigned
2011-08-22 10:06 davide Product Version => 5.1.0 - alpha
2011-08-22 10:11 davide Note Added: 0000052
2011-08-22 10:11 davide Status assigned => feedback
2011-08-22 10:20 thomas Note Added: 0000055
2011-08-22 10:20 thomas Status feedback => assigned
2011-08-22 14:43 davide Note Added: 0000056
2012-06-17 23:28 davide Note Added: 0000109
2012-08-10 11:15 davide Fixed in Version => 5.2.10
2012-08-10 11:15 davide Target Version => 5.2.10
2012-08-10 11:16 davide Note Added: 0000140
2012-08-10 11:16 davide Status assigned => resolved
2012-08-10 11:16 davide Resolution open => fixed
2013-11-19 15:05 davide Status resolved => closed
2013-11-19 15:05 davide Note Added: 0000335